/* Social menu */

/* TODO: we need a better way to make icon menus

$social-icon-size: 30px;

#menu-social-menu {
  @extend %list_reset;
  padding-top: 4px;

  li {
    position: relative;
    margin-right: 11px;
    width: $social-icon-size;
    height: $social-icon-size;

    text-align: center;

    a {
      font-size: 0;
      color: transparent;
      line-height: $social-icon-size + 1px;

      &,
      &:before {
        position: absolute;
        bottom: 0;
        left: 0;
        display: inline-block;
        width: 100%;
        height: 100%;
      }

      &:before {
        color: $white;
        font-size: $social-icon-size + 2px;
        transition: color 0.222s ease-out;
      }
    }

    //$ids: "facebook" "twitter" "github" "instagram";
    $colors: $facebook $twitter $github2 $instagram;
    $icons: $fa-var-facebook $fa-var-twitter $fa-var-github $fa-var-instagram;

    @each $id in $ids {
      $i: index($ids, $id);

      &#{$id} a {

        &:hover {
          &:before {
            color: nth($colors, $i);
          }
        }

        &:before {
          @include icon( nth($icons, $i) );
        }
      }
    }
  }
}
*/
